Bug 163750

Summary: REGRESSION (r207620): [mac-wk1] LayoutTest compositing/iframes/page-cache-layer-tree.html is a flaky failure
Product: WebKit Reporter: Ryan Haddad <ryanhaddad>
Component: New BugsAssignee: Andreas Kling <kling>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, commit-queue, dbates, esprehn+autocc, kangil.han, kling, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Ryan Haddad 2016-10-20 12:39:34 PDT
LayoutTest compositing/iframes/page-cache-layer-tree.html is a flaky failure

https://build.webkit.org/results/Apple%20El%20Capitan%20Release%20WK1%20(Tests)/r207628%20(10810)/results.html

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=compositing%2Fiframes%2Fpage-cache-layer-tree.html

--- /Volumes/Data/slave/elcapitan-release-tests-wk1/build/layout-test-results/compositing/iframes/page-cache-layer-tree-expected.txt
+++ /Volumes/Data/slave/elcapitan-release-tests-wk1/build/layout-test-results/compositing/iframes/page-cache-layer-tree-actual.txt
@@ -23,7 +23,7 @@
               (children 1
                 (GraphicsLayer
                   (anchor 0.00 0.00)
-                  (bounds 285.00 150.00)
+                  (bounds 285.00 135.00)
                   (children 1
                     (GraphicsLayer
                       (children 1
@@ -73,7 +73,7 @@
                   (children 1
                     (GraphicsLayer
                       (anchor 0.00 0.00)
-                      (bounds 285.00 150.00)
+                      (bounds 285.00 135.00)
                       (children 1
                         (GraphicsLayer
                           (children 1
Comment 1 Ryan Haddad 2016-10-20 12:40:15 PDT
Seems to have started after https://trac.webkit.org/changeset/207620
Comment 2 Andreas Kling 2016-10-20 12:45:10 PDT
Urkh, yeah that's definitely the culprit.
Comment 3 Ryan Haddad 2016-10-20 13:02:22 PDT
Marked as flaky in http://trac.webkit.org/projects/webkit/changeset/207635
Comment 4 Radar WebKit Bug Importer 2016-11-15 12:07:13 PST
<rdar://problem/29273020>
Comment 5 Andreas Kling 2016-12-16 10:37:00 PST
Created attachment 297324 [details]
Patch
Comment 6 WebKit Commit Bot 2016-12-16 12:44:38 PST
Comment on attachment 297324 [details]
Patch

Clearing flags on attachment: 297324

Committed r209932: <http://trac.webkit.org/changeset/209932>
Comment 7 WebKit Commit Bot 2016-12-16 12:44:43 PST
All reviewed patches have been landed.  Closing bug.